Bug 61469 - rhnreg_ks return codes
rhnreg_ks return codes
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Cristian Gafton
Depends On:
  Show dependency treegraph
Reported: 2002-03-19 23:33 EST by Isaiah Weiner
Modified: 2007-10-23 22:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-26 15:04:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Isaiah Weiner 2002-03-19 23:33:52 EST
Description of problem:
At Cisco we have a wrapper shell script to execute rhnreg_ks and if successful 
(returning 0), removes a symbolic link in the system's /etc/cron.daily/ 
directory.  We're encountering cases when it appears to have succeeded in 
registration but it didn't return the right error code, so the symlink wasn't 
removed.  Then later, we get a legit error because the machine is already 
registered under those credentials.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rhnreg_ks

Additional info:
Comment 1 Adrian Likins 2002-03-19 23:47:44 EST
what are the cases where it returns the wrong error code, and what
error code does it return?
Comment 2 Isaiah Weiner 2002-03-20 00:06:31 EST
We were hoping you could tell us that.  There is no stderr when it successfully 
registers and doesn't return the right error code, so cron reports nothing.  
It's happening about 1 out of 20 times.
Comment 3 Cristian Gafton 2002-04-11 05:33:01 EDT
can you please run that script through some sort of enhanced set -x so we know
what is going on - you're asking us to shoot in the dark here, with nothing more
than "sometimes there is an error" to start with.
Comment 4 Josef Komenda 2002-06-20 13:19:44 EDT
Any updates on this? Have you been able do duplicate the problem, or set up some
kind of capture script?
Comment 5 Isaiah Weiner 2002-06-26 15:04:39 EDT
Sorry for the lateness; I was out of town for a few weeks.

As I stated earlier, it's sporadic at best.  The only time I see the problem is 
after it happens, on the *next* day's cron output, which I get from every 
single Linux box at Cisco.  I'm not going to run all of them through -x for 
something that happens so sporadically.  If I see it happening more frequently 
I'll consider it more seriously.
Comment 6 Josef Komenda 2002-08-14 15:17:54 EDT
No action for 6+ weeks, unable to isolate or duplicate, so closing.

Note You need to log in before you can comment on or make changes to this bug.